#!/usr/bin/env node
var program = require('commander');
var appInfo = require('./../package.json');
var fs = require('fs-extra')
const path = require("path")
const rootPath = process.cwd()
console.log(rootPath);

program
    .version(appInfo.version)
    .usage('<command> [options]')

//像git风格一样的子命令
program
    //子命令
    .command('init <cmd>')
    //短命令 - 简写方式
    .alias('i')
    //说明
    .description('创建模板')
    //注册一个callback函数
    .action(function (cmd, options) {
        var nm = typeof options.name == 'string' ? options.name : ""
        const appjson = path.join(rootPath, '/src/app.json')
        fs.pathExists(appjson).then(exists => {
            if (exists == true) {
                fs.readJSON(appjson).then(appObj => {
                    let pageUrl = "pages/" + cmd + "/main"
                    if (appObj.pages.indexOf(pageUrl) < 0) {
                        let newdir = path.join(rootPath, "/src/pages/" + cmd)
                        fs.copy(path.join(rootPath,'/node_modules/mpvue-page/template/page'), newdir, function (err) {
                            if (err) return console.error(err)
                            appObj.pages.push(pageUrl)
                            fs.writeJson(appjson, appObj)
                                .then(() => {
                                    console.log('success!')
                                })
                        });

                    }
                    else {
                        console.log("创建失败，文件已经存在");
                    }
                })
            }
            else {
                console.log('抱歉，找不到app.json');
            }
        })
    })

program.parse(process.argv);